libwps_tools_win::Font Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
libwps_tools_win::Font Class Reference

a class to convert a DOS© or Windows3© character in unicode More...

`#include <libwps_tools_win.h>`

## Public Types
enum | Type { CP_424, CP_437, CP_737, CP_775, DOS_850, CP_852, CP_855, CP_856, CP_857, CP_860, CP_861, CP_862, CP_863, CP_864, CP_865, CP_866, CP_869, CP_874, CP_1006, WIN3_ARABIC, WIN3_BALTIC, WIN3_CEUROPE, WIN3_CYRILLIC, WIN3_GREEK, WIN3_HEBREW, WIN3_TURKISH, WIN3_VIETNAMESE, WIN3_WEUROPE, UNKNOWN }
| enum Type More...

## Static Public Member Functions
static unsigned long | unicode (unsigned char c, Type type)
| converts a character in unicode, knowing the character and the font type More...
static unsigned long | LICSunicode (unsigned char c, Type type)
| converts a LICS character in unicode, knowing the character and the font type More...
static Type | getTypeForOEM (int oem)
static Type | getFontType (std::string &name)
| returns the type of the font using the fontName More...
static std::string | getTypeName (Type type)
| return the type name More...

## Detailed Description

a class to convert a DOS© or Windows3© character in unicode

## Member Enumeration Documentation

enum libwps_tools_win::Font::Type

enum Type

the knowned DOS© and Windows3© fonts

Enumerator
CP_424 |
CP_437 |
CP_737 |
CP_775 |
DOS_850 |
CP_852 |
CP_855 |
CP_856 |
CP_857 |
CP_860 |
CP_861 |
CP_862 |
CP_863 |
CP_864 |
CP_865 |
CP_866 |
CP_869 |
CP_874 |
CP_1006 |
WIN3_ARABIC |
WIN3_BALTIC |
WIN3_CEUROPE |
WIN3_CYRILLIC |
WIN3_GREEK |
WIN3_HEBREW |
WIN3_TURKISH |
WIN3_VIETNAMESE |
WIN3_WEUROPE |
UNKNOWN |

## Member Function Documentation

Font::Type libwps_tools_win::Font::getFontType | ( | std::string & | name | ) |
| static

returns the type of the font using the fontName

Parameters

  name | the font name.

Note
  name can be modified to suppress an extension

Referenced by WKS4Parser::readFont(), and WPS4Text::readFontNames().

Font::Type libwps_tools_win::Font::getTypeForOEM | ( | int | oem | ) |
| static

returns the type corresponding to Windows OEM

Referenced by WPS4Parser::findZones().

std::string libwps_tools_win::Font::getTypeName | ( | Type | type | ) |
| static

return the type name

Referenced by WPS4Parser::findZones(), and WPS4TextInternal::operator<<().

unsigned long libwps_tools_win::Font::LICSunicode | ( | unsigned char | c,
|  | Type | type
| ) |  |
| static

converts a LICS character in unicode, knowing the character and the font type

Referenced by WKS4Spreadsheet::sendCellContent(), and WKS4Parser::sendHeaderFooter().

unsigned long libwps_tools_win::Font::unicode | ( | unsigned char | c,
|  | Font::Type | type
| ) |  |
| static

converts a character in unicode, knowing the character and the font type

Referenced by WPS4Text::footNotesDataParser(), LICSunicode(), WPS4Text::readText(), WKS4Spreadsheet::sendCellContent(), and WKS4Parser::sendHeaderFooter().

The documentation for this class was generated from the following files:

- libwps_tools_win.h
- libwps_tools_win.cpp